---
id: videos-it-IT
title: Video
permalink: docs/videos-it-IT.html
prev: conferences-it-IT.html
next: complementary-tools-it-IT.html
---

### Riconsiderare le best practice - JSConf.eu

<iframe width="100%" height="366" src="https://www.youtube-nocookie.com/embed/x7cQ3mrcKaY" frameborder="0" allowfullscreen></iframe>

"A Facebook e Instagram, con React stiamo provando a spingerci oltre i limiti di ciò che è possibile realizzare sul web. Il mio talk comincerà con una breve introduzione al framework, e poi approfondirà tre argomenti controversi: Gettare via la nozione dei template e costruire le viste con JavaScript, effettuare il “ri-rendering” dell'intera applicazione quando i dati cambiano, e un'implementazione leggera del DOM e degli eventi." -- [Pete Hunt](http://www.petehunt.net/)

* * *

### Pensare in react - tagtree.tv

Un video di [tagtree.tv](http://tagtree.tv/) che espone i principi di [Pensare in React](/react/docs/thinking-in-react.html) mentre costruisci una semplice applicazione
<figure>[![](/react/img/docs/thinking-in-react-tagtree.png)](http://tagtree.tv/thinking-in-react)</figure>

* * *

### I Segreti del DOM Virtuale - MtnWest JS

<iframe width="100%" height="366" src="https://www.youtube-nocookie.com/embed/h3KksH8gfcQ" frameborder="0" allowfullscreen></iframe>

"In questo talk discuterò perché abbiamo costruito un DOM virtuale, i vantaggi rispetto ad altri sistemi, e la sua rilevanza per il futuro della tecnologia dei browser." -- [Pete Hunt](http://www.petehunt.net/)

* * *

### Pensare in grande con React

"Sulla carta, tutti questi framework JS sembrano promettenti: implementazioni pulite, design veloce del codice, esecuzione perfetta. Ma che succede quando metti Javascript sotto stress? Che succede se gli dài in pasto 6 megabyte di codice? In questo talk investigheremo come si comporta React in situazioni di stress elevato, e come ha aiutato il nostro team a costruire codice sicuro ad una scala enorme."
<figure>[![](https://i.vimeocdn.com/video/481670116_650.jpg)](https://skillsmatter.com/skillscasts/5429-going-big-with-react#video)</figure>

* * *

### CodeWinds

[Pete Hunt](http://www.petehunt.net/) ha parlato con [Jeff Barczewski](http://jeff.barczewski.com/) a proposito di React nell'Episodio 4 di CodeWinds.
<figure>[![](/react/img/docs/codewinds-004.png)](http://codewinds.com/4)</figure>

<table width="100%"><tr><td>
02:08 - Cos'è React e perché usarlo?<br />
03:08 - La relazione simbiotica di ClojureScript e React<br />
04:54 - La storia di React e il perché è stato creato<br />
09:43 - Aggiornare una pagina web con React senza usare data binding<br />
13:11 - Usare il DOM virtuale per cambiare il DOM del browser<br />
13:57 - Programmare con React, rendering in HTML, canvas, ed altro<br />
16:45 - Lavorare con i designer. Paragone con Ember ed AngularJS<br />
21:45 - Il Compilatore JSX che unisce HTML e il javascript di React<br />
23:50 - Autobuilding JSX e strumenti nel browser per React<br />
24:50 - Trucchi e suggerimenti per lavorare con React, primi passi<br />
</td><td>
27:17 - Rendering HTML lato server con Node.js. Rendering backend<br />
29:20 - React evoluto tramite sopravvivenza del più adatto a Facebook<br />
30:15 - Idee per avere lo stato sul server e il client, usando web sockets.<br />
32:05 - React-multiutente - stato mutevole distribuito usando Firebase<br />
33:03 - Miglior debug con React usando le transizioni di stato, ripetere eventi<br />
34:08 - Differenze con i Web Components<br />
34:25 - Compagnie rilevanti che usano React<br />
35:16 - Si può creare un plugin backend di React per generare PDF?<br />
36:30 - Futuro di React, cosa viene dopo?<br />
39:38 - Contribuire e ricevere aiuto<br />
</td></tr></table>

[Leggi le note dell'episodio](http://codewinds.com/4)

* * *

### JavaScript Jabber

[Pete Hunt](http://www.petehunt.net/) e [Jordan Walke](https://github.com/jordwalke) hanno parlato di React in JavaScript Jabber 73.
<figure>[![](/react/img/docs/javascript-jabber.png)](http://javascriptjabber.com/073-jsj-react-with-pete-hunt-and-jordan-walke/#content)</figure>

<table width="100%"><tr><td>
01:34 – Introduzione di Pete Hunt<br />
02:45 – Introduzione di Jordan Walke<br />
04:15 – React<br />
06:38 – 60 Frame Al Secondo<br />
09:34 – Data Binding<br />
12:31 – Performance<br />
17:39 – Algoritmo di Differenza<br />
19:36 – Manipolazione del DOM
</td><td>
23:06 – Supporto per node.js<br />
24:03 – rendr<br />
26:02 – JSX<br />
30:31 – requestAnimationFrame<br />
34:15 – React e le Applicazioni<br />
38:12 – Utenti React Khan Academy<br />
39:53 – Farlo funzionare
</td></tr></table>

[Leggi la trascrizione completa](http://javascriptjabber.com/073-jsj-react-with-pete-hunt-and-jordan-walke/)

* * *

### Introduzione a React.js - Facebook Seattle

<iframe width="100%" height="366" src="https://www.youtube-nocookie.com/embed/XxVg_s8xAms" frameborder="0" allowfullscreen></iframe>

Di [Tom Occhino](http://tomocchino.com/) e [Jordan Walke](https://github.com/jordwalke)

* * *

### Backbone + React + Middleman Screencast
<iframe width="100%" height="488" src="https://www.youtube-nocookie.com/embed/iul1fWHVU6A" frameborder="0" allowfullscreen></iframe>

Backbone è una grande maniera di interfacciare una API REST con React. Questo screencast mostra come integrare i due usando [Backbone-React-Component](https://github.com/magalhas/backbone-react-component). Middleman è il framework utilizzato in questo esempio, ma può essere facilmente sostituito con altri framework. Si può trovare un template supportato per questo esempio [qui](https://github.com/jbhatab/middleman-backbone-react-template). -- [Open Minded Innovations](http://www.openmindedinnovations.com/)

* * *

### Sviluppare Interfacce Utente Con React - Super VanJS

<iframe width="100%" height="366" src="https://www.youtube-nocookie.com/embed/1OeXsL5mr4g" frameborder="0" allowfullscreen></iframe>

Di [Steven Luscher](https://github.com/steveluscher)

* * *

### Introduzione a React - LAWebSpeed meetup

<iframe width="100%" height="366" src="https://www.youtube-nocookie.com/embed/SMMRJif5QW0" frameborder="0" allowfullscreen></iframe>

Di [Stoyan Stefanov](http://www.phpied.com/)

* * *

### React, o come rendere la vita più semplice - FrontEnd Dev Conf '14

<iframe width="100%" height="366" src="https://www.youtube-nocookie.com/embed/YJNUK0EA_Jo" frameborder="0" allowfullscreen></iframe>

**In Russo** di [Alexander Solovyov](http://solovyov.net/)

* * *

### "Programmazione funzionale del DOM" - Meteor DevShop 11

<iframe width="100%" height="366" src="https://www.youtube-nocookie.com/embed/qqVbr_LaCIo" frameborder="0" allowfullscreen></iframe>

* * *

### "Ripensare lo Sviluppo di Applicazioni Web a Facebook" - Facebook F8 Conference 2014

<iframe width="100%" height="366" src="https://www.youtube-nocookie.com/embed/nYkdrAPrdcw" frameborder="0" allowfullscreen></iframe>

* * *

### React e Flux: Costruire Applicazioni con un Flusso Dati Unidirezionale - Forward JS 2014

<iframe width="100%" height="366" src="https://www.youtube-nocookie.com/embed/i__969noyAM" frameborder="0" allowfullscreen></iframe>

Gli ingegneri di Facebook [Bill Fisher](https://twitter.com/fisherwebdev) e [Jing Chen](https://twitter.com/jingc) parlano di Flux e React, e di come usare un'architettura dell'applicazione con un flusso di dati unidirezionale rende gran parte del loro codice più pulito.

* * *

### Rendering Lato Server di Applicazioni Isomorfiche a SoundCloud

<iframe src="https://player.vimeo.com/video/108488724" width="100%" height="365" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>

[Andres Suarez](https://github.com/zertosh) ci accompagna alla scoperta di come [SoundCloud](https://developers.soundcloud.com/blog/) usa React e Flux per il rendering lato server.

[Slide e codice d'esempio](https://github.com/zertosh/ssr-demo-kit)

* * *

### Introduzione a React Native (+Playlist) - React.js Conf 2015

<iframe width="100%" height="366" src="https://www.youtube-nocookie.com/embed/KVZ-P-ZI6W4?list=PLb0IAmt7-GS1cbw4qonlQztYV1TAW0sCr" frameborder="0" allowfullscreen></iframe>

[Tom Occhino](https://twitter.com/tomocchino) ripercorre il passato e il presente di React nel 2015, e ci mostra dove è diretto nell'immediato futuro.
